// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define addClientCompdef_AddClient_BODY

/************************************************************
 AddClient class body
 ************************************************************/

// Include from Include stereotype (pre-body)
#include <iostream>
using namespace std;
// End of Include stereotype (pre-body)

// include associated header file
#include "addClientCompdef/AddClient.h"

// Derived includes directives
#include "addClientCompdef/AddClient_impl.h"
#include "addClientCompdef/AddClient_main.h"
#include "rclcpp/rclcpp.hpp"

namespace addClientCompdef {

// static attributes (if any)

/**
 * 
 * @param options 
 */
AddClient::AddClient(rclcpp::NodeOptions /*in*/options) :
    rclcpp_lifecycle::LifecycleNode("AddClient", options) {
  cbg_CallAdd_ = create_callback_group(
      rclcpp::CallbackGroupType::MutuallyExclusive);
  cbg_t_CallAdd_ = create_callback_group(
      rclcpp::CallbackGroupType::MutuallyExclusive);

  useAdd_client_ = create_client < simple_msgs::srv::AddServiceDef
      > ("useAdd", rmw_qos_profile_default, cbg_CallAdd_);

}

} // of namespace addClientCompdef

/************************************************************
 End of AddClient class body
 ************************************************************/
